io.vertx.rxjava.ext.web.handler

## Class ResponseContentTypeHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.ResponseContentTypeHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ResponseContentTypeHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which sets the response content type automatically according to the best `Accept` header match. The header is set only if:
  - no object is stored in the routing context under the name `ResponseContentTypeHandler`
  - a match is found
  - the header is not present already
  - content length header is absent or set to something different than zero

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<ResponseContentTypeHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseContentTypeHandler(ResponseContentTypeHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseContentTypeHandler` | `create()` Create a response content type handler.
    `static ResponseContentTypeHandler` | `create(String disableFlag)` Create a response content type handler with a custom disable flag.
    `ResponseContentTypeHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static ResponseContentTypeHandler` | `newInstance(ResponseContentTypeHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<ResponseContentTypeHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ResponseContentTypeHandler

          public ResponseContentTypeHandler(ResponseContentTypeHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public ResponseContentTypeHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static ResponseContentTypeHandler create()

      Create a response content type handler.
      Returns:
        the response content type handler

    - #### create

          public static ResponseContentTypeHandler create(String disableFlag)

      Create a response content type handler with a custom disable flag.
      Parameters:
        `disableFlag` -
      Returns:
        the response content type handler

    - #### newInstance

          public static ResponseContentTypeHandler newInstance(ResponseContentTypeHandler arg)

Copyright © 2017. All rights reserved.